Bug 870208 - Logoff does not close session so if Restart or Shutdown performed from Logon screen after logoff Authentication dialog presented
Logoff does not close session so if Restart or Shutdown performed from Logon ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
RejectedBlocker RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 15:49 EDT by smatula
Modified: 2014-02-05 07:43 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:43:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smatula 2012-10-25 15:49:08 EDT
Description of problem:
Logging on with a user a number of times and each time logoff with the 'Log Out' menu item under Users name in upper right hand corner. Leaves a session open every time. Logging in again and running loginctl will show sessions for each time the user logged in. This will produce the side effect that if multiple users have logged in and logged out, Restart and Shut Down will always display dialog box asking for admin authentication because other users are logged in. Even though no one should be logged in.


Version-Release number of selected component (if applicable):
Fedora-18 Beta TC6

How reproducible:


Steps to Reproduce:
1.gdm logon screen, select a user and authenticate
  Logon successful - Desktop displayed.
2.On Desktop log out using menu selection on under users name upper right corner
3.Repeat steps 1 and 2 a number of times (3)
4. Logon as user again and run loginctl
  
Actual results:
loginctr shows 5 sessions for user


Expected results:
1 session, the current one



Additional info:
Comment 1 smatula 2012-10-25 16:18:05 EDT
How reproducible:
Every time
Comment 2 Matthias Clasen 2012-10-30 22:07:24 EDT
you need to tell us

a) what versions of systemd, accountsservice and gnome-shell you see this with

b) what processes are left running in the leftover sessions

c) loginctl session-status output would be good
Comment 3 Kamil Páral 2012-10-31 07:51:17 EDT
I believe it's still the same annoying bug - bug 814690.
Comment 4 smatula 2012-10-31 10:22:57 EDT
a) gnome-shell-3.6.1-1.fc18.i686
   systemd-194-1.fc18.i686
   accountsservice-0.6.25-2.fc18.i686


c) loginctl output

[test1@dhcp-10-16-62-7 ~]$ loginctl
   SESSION        UID USER             SEAT            
         2       1000 test1            seat0           
         4       1000 test1            seat0           
         7       1000 test1            seat0           

3 sessions listed.
[test1@dhcp-10-16-62-7 ~]$ loginctl session-status 2
2 - test1 (1000)
	   Since: Wed, 31 Oct 2012 08:45:00 -0400; 1h 5min ago
	  Leader: 1186
	    Seat: seat0; vc1
	 Display: :0
	 Service: gdm-password; type x11; class user
	   State: closing
	  CGroup: name=systemd:/user/test1/2
		  ├ 1390 /usr/bin/pulseaudio --start
		  ├ 1423 /usr/libexec/tracker-store
		  └ 1426 /usr/libexec/tracker-miner-fs
[test1@dhcp-10-16-62-7 ~]$ loginctl session-status 4
4 - test1 (1000)
	   Since: Wed, 31 Oct 2012 08:46:38 -0400; 1h 3min ago
	  Leader: 1805
	    Seat: seat0; vc1
	 Display: :1
	 Service: gdm-password; type x11; class user
	   State: closing
	  CGroup: name=systemd:/user/test1/4
		  ├ 2038 /usr/libexec/tracker-store
		  └ 2041 /usr/libexec/tracker-miner-fs
[test1@dhcp-10-16-62-7 ~]$ loginctl session-status 7
7 - test1 (1000)
	   Since: Wed, 31 Oct 2012 09:48:19 -0400; 2min 27s ago
	  Leader: 2907 (gdm-session-wor)
	    Seat: seat0; vc1
	 Display: :1
	 Service: gdm-password; type x11; class user
	   State: active
	  CGroup: name=systemd:/user/test1/7
		  ├ 2907 gdm-session-worker [pam/gdm-password]
		  ├ 2914 /usr/bin/gnome-keyring-daemon --daemonize --login
		  ├ 2916 gnome-session
		  ├ 2927 dbus-launch --sh-syntax --exit-with-session
		  ├ 2928 /bin/dbus-daemon --fork --print-pid 4 --print-addr...
		  ├ 2990 /usr/libexec/imsettings-daemon
		  ├ 2993 /usr/libexec/gvfsd
		  ├ 2997 /usr/libexec//gvfsd-fuse -f /run/user/1000/gvfs
		  ├ 3071 /usr/libexec/at-spi-bus-launcher
		  ├ 3075 /bin/dbus-daemon --config-file=/etc/at-spi2/access...
		  ├ 3079 /usr/libexec/at-spi2-registryd --use-gnome-session...
		  ├ 3095 /usr/libexec/gnome-settings-daemon
		  ├ 3109 /usr/libexec/gvfs-udisks2-volume-monitor
		  ├ 3113 /usr/libexec/gvfs-afc-volume-monitor
		  ├ 3118 /usr/libexec/gvfs-gphoto2-volume-monitor
		  ├ 3126 /usr/bin/gnome-shell
		  ├ 3131 /usr/libexec/gsd-printer
		  ├ 3134 /usr/libexec/dconf-service
		  ├ 3145 /usr/libexec/tracker-store
		  ├ 3148 /usr/libexec/tracker-miner-fs
		  ├ 3150 /usr/libexec/evolution/3.6/evolution-alarm-notify
		  ├ 3158 abrt-applet
		  ├ 3159 nm-applet
		  ├ 3163 /usr/libexec/deja-dup/deja-dup-monitor
		  ├ 3169 /usr/bin/seapplet
		  ├ 3222 /usr/libexec/evolution-source-registry
		  ├ 3228 /usr/libexec/gconfd-2
		  ├ 3231 /usr/libexec/goa-daemon
		  ├ 3240 /usr/libexec/evolution-calendar-factory
		  ├ 3251 /usr/libexec/gnome-shell-calendar-server
		  ├ 3258 /usr/libexec/mission-control-5
		  ├ 3282 /bin/sh /usr/libexec/gnome-documents-search-provid...
		  ├ 3283 /usr/bin/gjs-console -I /usr/share/gnome-documents...
		  ├ 3286 /usr/libexec/evolution-addressbook-factory
		  ├ 3371 gnome-terminal
		  ├ 3383 gnome-pty-helper
		  ├ 3384 bash
		  └ 3453 loginctl session-status 7
[test1@dhcp-10-16-62-7 ~]$
Comment 5 Adam Williamson 2012-10-31 12:56:58 EDT
Discussed at 2012-10-31 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-31/f18beta-blocker-review-6.2012-10-31-16.00.log.txt . We agreed this does not constitute a blocker per the criteria, and we reject it as NTH also as it is just a regular bug that can be fixed with an update. We're fairly sure kparal is correct and this isn't new, but a longstanding annoyance that was in previous releases.
Comment 6 Matthias Clasen 2012-10-31 16:51:56 EDT
The leftover tracker processes should be addressed when the patch in https://bugzilla.gnome.org/show_bug.cgi?id=687074 gets merged.
Comment 7 Jim Haynes 2013-02-08 20:59:01 EST
I'm having the same problem since upgrade to F18 - now running the latest
updates as of today.  Since there is no logout button on a single-user
workstation this happens whenever I try to shut down the workstation.
Comment 8 Cristian Ciupitu 2013-02-23 22:40:59 EST
I'm having a similar problem with my XFCE session.

I'm using:
 systemd-197-1.fc18.1.x86_64.rpm
 accountsservice-0.6.25-2.fc18.x86_64.rpm
 xfce4-session-4.10.0-4.fc18.x86_64.rpm
 gnome-shell-3.6.3-2.fc18.x86_64.rpm

The offending process is:
      PID TTY      STAT   TIME COMMAND
     1868 ?        SLl    0:00 gnome-keyring-daemon --start
Comment 9 Fedora End Of Life 2013-12-21 04:12:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 07:43:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.